import HcTooltip from './hc-tooltip/index.vue'
import HcTipItem from './hc-tooltip/item.vue'
import HcChoiceUser from './choice-user/choice-user.vue'
import HcReportDialog from './hc-report/hc-report.vue'
import HcInfoTable from './info-table/info-table.vue'
import HcInfoTableTd from './info-table/info-table-td.vue'
import HcCharts from './echarts/echarts.vue'
import HcTitle from './hc-title/hc-title.vue'
import HcSearchInput from './search-input/search-input.vue'
import HcTasksUser from './hc-tasks-user/index.vue'
import HcViewReport from './view-report/view-report.vue'


//注册全局组件
export const setupComponents = (App) => {
    App.component('HcTooltip', HcTooltip)
    App.component('HcTipItem', HcTipItem)
    App.component('HcChoiceUser', HcChoiceUser)
    App.component('HcReportDialog', HcReportDialog)
    App.component('HcInfoTable', HcInfoTable)
    App.component('HcInfoTableTd', HcInfoTableTd)
    App.component('HcCharts', HcCharts)
    App.component('HcTitle', HcTitle)
    App.component('HcSearchInput', HcSearchInput)
    App.component('HcTasksUser', HcTasksUser)
    App.component('HcViewReport', HcViewReport)
}
